#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	HTML
%define		pnam	Form
%include	/usr/lib/rpm/macros.perl
Summary:	HTML::Form - Class that represents an HTML form element
Summary(pl.UTF-8):	HTML::Form - klasa reprezentująca formularz HTML
Name:		perl-HTML-Form
Version:	6.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fa6c2680207ed4fef5ea2ef09c210614
URL:		http://search.cpan.org/dist/HTML-Form/
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Encode >= 2
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTTP-Message >= 6
BuildRequires:	perl-URI >= 1.10
%endif
Requires:	perl-Encode >= 2
Requires:	perl-HTML-Parser
Requires:	perl-URI >= 1.10
Conflicts:	perl-libwww < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Objects of the HTML::Form class represents a single HTML
<form>...</form> instance. A form consists of a sequence of inputs
that usually have names, and which can take on various values. The
state of a form can be tweaked and it can then be asked to provide
HTTP::Request objects that can be passed to the request() method of
LWP::UserAgent.

%description -l pl.UTF-8
Obiekt klasy HTML::Form reprezentuje pojedynczą instancję formularza
HTML (<form>...</form>). Formularz składa się z ciągu pól
wprowadzania, zwykle mających swoje nazwy i mogących przyjmować
różne wartości. Stan formularza może być zmieniany i po przekazaniu
obiektów HTTP::Request może być przekazany do metody request()
klasy LWP::UserAgent.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTML/Form.pm
%{_mandir}/man3/HTML::Form.3pm*
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Form.git;a=log;h=master

* Sun Sep 09 2018 Jan Palus <atler@pld-linux.org> 7db6630
- up to 6.03

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 28d1446
- versioned Requires + perl-HTML-Parser not detected by perlreq

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> fae8262
- don't package README (just a copy of man page)

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> d5c8be9
- new

